import { Layout } from "antd";
import AppRoutes from "../AppRoutes";
import { useSelector } from "react-redux";
import { isSideMenuCollapsed } from "../SideMenu/sideMenuSlice";
import { BreakpointLgWidth } from "../../utils/utils";
import { useLocation } from "react-router-dom";
import { useEffect } from "react";

export default function PageContent() {
  const isCollpased = useSelector(isSideMenuCollapsed);
  const { pathname } = useLocation();

  useEffect(() => {
    window.scrollTo(0, 0);
  }, [pathname]);

  return (
    <Layout
      style={{
        marginLeft:
          isCollpased || window.document.body.clientWidth < BreakpointLgWidth
            ? 0
            : 200,
      }}
    >
      <AppRoutes />
    </Layout>
  );
}
