import { createApi } from "@reduxjs/toolkit/query/react";
import { baseQueryWithErrorHandling } from "core/helper/api";
import { CachedUser, UserProfile } from "core/types/userProfile";

export const userProfileApi = createApi({
  reducerPath: "userProfileApi",
  baseQuery: baseQueryWithErrorHandling,
  endpoints: (builder) => ({
    getUserProfile: builder.query<UserProfile, undefined>({
      query: () => ({
        url: "user/profile",
        method: "GET",
      }),
    }),
    getUser: builder.query<CachedUser, string>({
      query: (userId) => ({
        url: `user/${userId}`,
        method: "GET",
      }),
    }),
  }),
});

export const { useGetUserProfileQuery, useGetUserQuery } = userProfileApi;
