import { Descriptions, Typography } from "antd";
import MyMiddleCard from "shared/components/MyMiddleCard";
import MyBanner from "shared/components/MyBanner";
import HeaderBar from "core/components/Header";
import { useTranslation } from "react-i18next";

export default function ContactSupport() {
  const { t } = useTranslation();

  return (
    <>
      <MyBanner
        title={t("contactSupport.bannerTitle")}
        headerBar={<HeaderBar />}
      />

      <MyMiddleCard title={t("contactSupport.middleCardTitle")}>
        <Typography.Paragraph>
          {t("contactSupport.paragraph")}
        </Typography.Paragraph>
        <Descriptions>
          <Descriptions.Item label="E-Mail">
            <a href="mailto:support@.">support@.</a>
          </Descriptions.Item>
        </Descriptions>
      </MyMiddleCard>
    </>
  );
}
