import { createSlice } from "@reduxjs/toolkit";

export const userProfileSlice = createSlice({
  name: "userProfile",
  initialState: {
    profilePictureUrl: "",
    firstName: "",
    lastName: "",
    email: "",
    roleId: "",
  },
  reducers: {
    setProfilePictureUrl: (state, action) => {
      state.profilePictureUrl = action.payload;
    },
    setFirstName: (state, action) => {
      state.firstName = action.payload;
    },
    setLastName: (state, action) => {
      state.lastName = action.payload;
    },
    setEmail: (state, action) => {
      state.email = action.payload;
    },
    setRoleId: (state, action) => {
      state.roleId = action.payload;
    },
  },
  selectors: {
    profilePictureUrl: (state) => state.profilePictureUrl,
    firstName: (state) => state.firstName,
    lastName: (state) => state.lastName,
    email: (state) => state.email,
    roleId: (state) => state.roleId,
  },
});

export const {
  setEmail,
  setFirstName,
  setLastName,
  setProfilePictureUrl,
  setRoleId,
} = userProfileSlice.actions;

export const { profilePictureUrl, firstName, lastName, email, roleId } =
  userProfileSlice.selectors;
