import { Empty } from "antd";
import { useTranslation } from "react-i18next";

interface MyEmptyProps extends React.ComponentProps<typeof Empty> {
  children?: React.ReactNode;
}

const MyEmpty: React.FC<MyEmptyProps> = ({ children, ...props }) => {
  const { t } = useTranslation();

  return (
    <Empty {...props} description={t("myEmpty.noData")}>
      {children}
    </Empty>
  );
};

export default MyEmpty;
