import { Card, CardProps, Flex } from 'antd';
import { MyContainer } from '../MyContainer';

interface MyMiddleCardProps extends CardProps {
    outOfCardChildren?: React.ReactNode;
}

const MyMiddleCard: React.FC<MyMiddleCardProps> = ({ children, outOfCardChildren, ...props }) => {
    return (
        <MyContainer>
            <Flex justify="center">
                <Card
                    style={{
                        width: 800,
                        maxWidth: 800,
                    }}
                    {...props}
                >
                    {children}
                </Card>
            </Flex>
            {outOfCardChildren}
        </MyContainer>
    );
};

export default MyMiddleCard;
